### Method

# Vte Uuid free_to_string

since: 0.78

#### Declaration [src]

    char*
    vte_uuid_free_to_string (
      VteUuid* uuid,
      VteUuidFormat fmt,
      gsize* len
    )

#### Description [src]

Frees `uuid` and returns its string representation, see `vte_uuid_to_string()` for more information.

Available since: 0.78

#### Parameters

`uuid`

  Type: `VteUuid`

  A `VteUuid`.

  The instance takes ownership of the data, and is responsible for freeing it.

`fmt`

  Type: `VteUuidFormat`

  A `VteUuidFormat`.

`len`

  Type: `gsize*`

  A location to store the length of the returned string, or `NULL`.

  The data is owned by the caller of the method.

#### Return value

Type: `char*`

A string representation of `uuid`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.